Package org.apache.cayenne.exp.parser

# Class EvaluatedMathNode

java.lang.Object
org.apache.cayenne.exp.Expression
org.apache.cayenne.exp.parser.SimpleNode
org.apache.cayenne.exp.parser.EvaluatedNode
org.apache.cayenne.exp.parser.EvaluatedMathNode

All Implemented Interfaces:
  `Serializable`, `Node`, `XMLSerializable`

Direct Known Subclasses:
  `ASTAdd`, `ASTDivide`, `ASTMultiply`, `ASTSubtract`

public abstract class EvaluatedMathNode extends EvaluatedNode

Since:
  4.0
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.cayenne.exp.parser.SimpleNode

  `children, id, parent`

  ### Fields inherited from class org.apache.cayenne.exp.Expression

  `ADD, AND, ASTERISK, BETWEEN, BITWISE_AND, BITWISE_LEFT_SHIFT, BITWISE_NOT, BITWISE_OR, BITWISE_RIGHT_SHIFT, BITWISE_XOR, CUSTOM_OP, DB_PATH, DBID_PATH, DIVIDE, ENCLOSING_OBJECT, EQUAL_TO, EXISTS, FALSE, FULL_OBJECT, FUNCTION_CALL, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_EXISTS, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, PRUNED_NODE, SUBQUERY, SUBTRACT, TRUE, type`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EvaluatedMathNode(int i)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `evaluateSubNode(Object o, Object[] evaluatedChildren)`
  `protected int`
  `getRequiredChildrenCount()`
  `protected abstract BigDecimal`
  `op(BigDecimal result, BigDecimal arg)`

  ### Methods inherited from class org.apache.cayenne.exp.parser.EvaluatedNode

  `evaluateNode`

  ### Methods inherited from class org.apache.cayenne.exp.parser.SimpleNode

  `appendAsEJBQL, appendAsEJBQL, appendAsEscapedString, appendAsString, appendChildrenAsEJBQL, appendScalarAsString, connectChildren, encodeScalarAsEJBQL, evaluate, evaluateChild, expName, flattenTree, getEJBQLExpressionOperator, getExpressionOperator, getOperand, getOperandCount, getPathAliases, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, notExp, numericToString, pruneNodeForPrunedChild, setOperand, unwrapChild, wrapChild`

  ### Methods inherited from class org.apache.cayenne.exp.Expression

  `andExp, andExp, deepCopy, encodeAsXML, equals, filter, filterObjects, first, getType, hashCode, joinExp, joinExp, match, orExp, orExp, params, params, paramsArray, setType, shallowCopy, toEJBQL, toEJBQL, toString, transform, transformExpression, traverse, traverse`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EvaluatedMathNode

    protected EvaluatedMathNode(int i)

- ## Method Details

  - ### getRequiredChildrenCount

    protected int getRequiredChildrenCount()
    Specified by:
      `getRequiredChildrenCount` in class `EvaluatedNode`

  - ### evaluateSubNode

    protected Object evaluateSubNode(Object o, Object[] evaluatedChildren) throws Exception
    Specified by:
      `evaluateSubNode` in class `EvaluatedNode`
    Throws:
      `Exception`

  - ### op

    protected abstract BigDecimal op(BigDecimal result, BigDecimal arg)